import service from '@/utils/request'
export const createGameTask = (data) => {
    return service({
      url: '/gameTask/create',
      method: 'post',
      data
    })
  }


  export const getGameTaskList = (data) => {
    return service({
      url: '/gameTask/getGameTaskList',
      method: 'post',
      data
    })
  }

  export const getGameTaskById = (data) => {
    return service({
      url: '/gameTask/getGameTaskById',
      method: 'post',
      data
    })
  }

  export const statusOperation = (data) => {
    return service({
      url: '/gameTask/statusOperation',
      method: 'post',
      data
    })
  }

  export const updateGameTask = (data) => {
    return service({
      url: '/gameTask/update',
      method: 'post',
      data
    })
  }

  export const deleteGameTask = (data) => {
    return service({
      url: '/gameTask/delete',
      method: 'post',
      data
    })
  }

  export const getGameTaskTargetList = (data) => {
    return service({
      url: '/gameTask/getGameTaskTargetList',
      method: 'post',
      data
    })
  }

  export const getGameTaskTargetById = (data) => {
    return service({
      url: '/gameTask/getGameTaskTargetById',
      method: 'post',
      data
    })
  }

  export const updateGameTaskTarget = (data) => {
    return service({
      url: '/gameTask/updateTarget',
      method: 'post',
      data
    })
  }

  export const everyDayStatistics = (data) => {
    return service({
      url: '/gameTask/everyDayStatistics',
      method: 'post',
      data
    })
  }

  export const monthStatistics = (data) => {
    return service({
      url: '/gameTask/monthStatistics',
      method: 'post',
      data
    })
  }
  
  export const gameStatistics = (data) => {
    return service({
      url: '/gameTask/gameStatistics',
      method: 'post',
      data
    })
  }

  export const gameList = (data) => {
    return service({
      url: '/gameTask/gameList',
      method: 'post',
      data
    })
  }

  export const getGameTxTaskList = (data) => {
    return service({
      url: '/gameTask/getGameTxTaskList',
      method: 'post',
      data
    })
  }